import {
  IonModal,
  IonToolbar,
  IonTitle,
  IonButtons,
  IonButton,
  IonContent,
  IonList,
} from '@ionic/react';
import react, { useRef, useState } from 'react';
import { atom, useAtom } from 'jotai';
import i18n from '../../i18n';

import cssDialog from './dialogs.module.css';

export interface ExplorerProperties {}

export const isOpenAtom = atom(false);

export const Explorer: react.FC<ExplorerProperties> = (
  props: ExplorerProperties
) => {
  const modal = useRef<HTMLIonModalElement>(null);
  const [isOpen, setIsOpen] = useAtom(isOpenAtom);

  const dismiss = () => {
    setIsOpen(false);
  };

  return (
    <IonModal
      ref={modal}
      className={cssDialog.modal}
      isOpen={isOpen}
      onDidDismiss={dismiss}
    >
      <IonToolbar>
        <IonTitle>{i18n.explorer.nearBy}</IonTitle>
        <IonButtons slot='end'>
          <IonButton onClick={dismiss}>{i18n.common.close}</IonButton>
        </IonButtons>
      </IonToolbar>
      <IonContent>
        <IonList></IonList>
      </IonContent>
    </IonModal>
  );
};

export default Explorer;
