import LocalizedStrings from 'react-localization';

const strings = new LocalizedStrings({
  en: {
    colonize: (input: string): any => strings.formatString('{0}:', input),

    common: { save: 'Save', cancel: 'Cancel', close: 'Close' },

    mapChooser: {
      chooseYourMap: 'Choose your map',
    },

    explorer: {
      nearBy: 'Nearby',
    },
  },
  fr: {
    colonize: (input: string): any => strings.formatString('{0} :', input),

    common: {
      save: 'Sauvegarder',
      cancel: 'Annuler',
      close: 'Fermer',
    },

    mapChooser: {
      chooseYourMap: 'Choisissez votre carte',
    },

    explorer: {
      nearBy: "Près d'ici",
    },
  },
});

export default strings;

export const setI18nLanguage = (language: string) => {
  if (language === undefined || language === 'auto') {
    strings.setLanguage(strings.getInterfaceLanguage());
  } else {
    strings.setLanguage(language);
  }
};
